Package Details: xlog 2.0.23-1

Git Clone URL: https://aur.archlinux.org/xlog.git (read-only, click to copy)
Package Base: xlog
Description: Ham Radio general purpose logging program.
Upstream URL: http://www.nongnu.org/xlog/
Licenses: GPL3
Submitter: Allan
Maintainer: not_anonymous
Last Packager: not_anonymous
Votes: 7
Popularity: 0.000000
First Submitted: 2008-12-19 03:49
Last Updated: 2021-08-11 22:43

Dependencies (7)

Required by (2)

Sources (1)

Latest Comments

1 2 Next › Last »

not_anonymous commented on 2021-08-11 22:44

Updated !!

simona commented on 2020-07-19 21:22

Ok. thxs. we wait :-)

not_anonymous commented on 2020-07-19 17:16

The upstream author has updated this software in April (version ....19); alas even when I test the upgrade it is still refusing to compile against gtk2, throwing off errors. These kinds of errors (depreciated declarations) seems to be a recurring problem for this code too.

simona commented on 2020-07-18 15:27

can't compile

phansel commented on 2020-01-17 18:24

This package is currently unusable, not only since libgnomeprint and freetype-config are broken, but also because it depends on deprecated GTK2:

https://tecnocode.co.uk/2019/08/24/gtimeval-deprecation-in-glib-2-61-2/

/usr/include/gtk-2.0/gtk/gtktypeutils.h:236:1: error: 'GTypeDebugFlags' is deprecated [-Werror=deprecated-declarations]

/usr/include/gtk-2.0/gtk/gtktooltips.h:73:3: error: 'GTimeVal' is deprecated: Use 'GDateTime' instead [-Werror=deprecated-declarations]

not_anonymous commented on 2019-01-16 20:55

Updated

not_anonymous commented on 2017-01-12 22:36

Nope....just needed an update.
wrks fb now om es vy 73

andreas303 commented on 2017-01-12 14:34

I get the following error. Are the compilation flags wrong?

$ yaourt -S xlog
[...]
gcc -DPACKAGE_NAME=\"xlog\" -DPACKAGE_TARNAME=\"xlog\" -DPACKAGE_VERSION=\"2.0.12\" -DPACKAGE_STRING=\"xlog\ 2.0.12\" -DPACKAGE_BUGREPORT=\"andystewart@comcast.net\" -DPACKAGE_URL=\"\" -DPACKAGE=\"xlog\" -DVERSION=\"2.0.12\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1
-DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_IPC_H=1 -DHAVE_SYS_SHM_H=1 -DHAVE_STRPTIME=1 -DHAVE_STRCHR=1 -DHAVE_INDEX=1 -DENABLE_NLS=1 -DHAVE_GETTEXT=1 -DHAVE_DCGETTEXT=1 -I. -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -D_FORTIFY_SOURCE=2 -march=i68
6 -mtune=generic -O2 -pipe -fstack-protector-strong -Wall -Wno-unused-but-set-variable -Werror -MT adif2.o -MD -MP -MF .deps/adif2.Tpo -c -o adif2.o adif2.c
adif2.c:59:19: error: ‘adif_widths’ defined but not used [-Werror=unused-const-variable=]
static const gint adif_widths[] = { 15, 8, 15, 15, 8, 8, 8, 8, 8, 80, 8, 8, 8,
^~~~~~~~~~~
cc1: all warnings being treated as errors
make[2]: *** [Makefile:269: adif2.o] Error 1
make[2]: Leaving directory '/tmp/yaourt-tmp-andreas/aur-xlog/src/xlog-2.0.12/src/logfile'
make[1]: *** [Makefile:494: all-recursive] Error 1
make[1]: Leaving directory '/tmp/yaourt-tmp-andreas/aur-xlog/src/xlog-2.0.12/src'
make: *** [Makefile:287: all-recursive] Error 1
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build xlog.

maze commented on 2016-02-14 08:30

Hamlib has been upgraded to 3.x, please test.

not_anonymous commented on 2015-02-11 17:27

Latest code.